function negTmpl =  sampleNeg(frame, p, outputSize, margin)
    %% sample 8 negative samples arround the bounding box with padding scale = 1
    count = 1;
    p_ori = p;
    len = (p(3) + p(4)) / 2;
%     frame = gpuArray(single(frame));
    for contextScale = [0.5, 1]   
        for i = -1 : 1
            for j = -1 : 1
                if i == 0 && j == 0
                    continue;
                end
                tx = i * (p_ori(3) / 2 + len * (contextScale + min(margin / len, 0.1)));
                ty = j * (p_ori(4) / 2 + len * (contextScale + min(margin / len, 0.1)));
    %             tx = i * (2 + contextScale) * p_ori(3) / 2;
    %             ty = j * (2 + contextScale) * p_ori(4) / 2;
                p = p_ori;
                p(1) = p(1) + tx;
                p(2) = p(2) + ty;
    %             p(3) = p(3) + p(3)*contextScale;
    %             p(4) = p(4) + p(4)*contextScale;
                p(3) = 2 * len * contextScale;
                p(4) = 2 * len * contextScale;
                crop_img = cropImg(frame, round(p), outputSize);
                negTmpl(:, count) = crop_img(:);
                count = count + 1;
                
                if i == 0
                    p(1) = p(1) - len * contextScale;
                    crop_img = cropImg(frame, round(p), outputSize);
                    negTmpl(:, count) = crop_img(:);
                    count = count + 1;
                    
                    p(1) = p(1) + 2 * len * contextScale;
                    crop_img = cropImg(frame, round(p), outputSize);
                    negTmpl(:, count) = crop_img(:);
                    count = count + 1;
                end
                
                if j == 0
                    p(2) = p(2) - len * contextScale;
                    crop_img = cropImg(frame, round(p), outputSize);
                    negTmpl(:, count) = crop_img(:);
                    count = count + 1;
                    
                    p(2) = p(2) + 2 * len * contextScale;
                    crop_img = cropImg(frame, round(p), outputSize);
                    negTmpl(:, count) = crop_img(:);
                    count = count + 1;
                end
            end
        end
    end
  

end