function [tmpl,cord] = samplePos_CNNT(frame, p, outputSize, random, scaleNum)
    len = (p(3)+p(4)) / 2;
%     frame = gpuArray(single(frame));
    for iter = 1 : 2
        for i = 1 : scaleNum
            contextScale = 0.5 * (i);
%             contextScale = 0.5 * (i) + 1;
            translationX = randi(floor(len / 2 * contextScale)) - 1;
            translationY = randi(floor(len / 2 * contextScale)) - 1;
%             translationX = randi(floor(p(3) / 2 * contextScale - p(3) / 2)) - 1;
%             translationY = randi(floor(p(4) / 2 * contextScale - p(4) / 2)) - 1;
            if randi(2) == 1
                translationX = -translationX;
            end
            if randi(2) == 1
                translationY = -translationY;
            end
            if random == 0
                translationX = 0;
                translationY = 0;
            end
            p_sample = [p(1) + translationX, p(2) + translationY, p(3) + len * contextScale, p(4) + len * contextScale];
%             p_sample = [p(1) + translationX, p(2), p(3) * contextScale, p(4) * contextScale];
            crop_img = cropImg(frame, p_sample);
            scaleHeight = size(crop_img,1) / outputSize;
            scaleWidth = size(crop_img,2) / outputSize;
            center_x = (1+outputSize) / 2 - translationX / scaleWidth;
            center_y = (1+outputSize) / 2 - translationY / scaleHeight;
            x1 = floor(center_x - (p(3) / 2 ) / scaleWidth);
            y1 = floor(center_y - (p(4) / 2 ) / scaleHeight);
            x2 = ceil(center_x + (p(3) / 2 ) / scaleWidth);
            y2 = ceil(center_y + (p(4) / 2 ) / scaleHeight);
%              cord(iter * 4 - 4 + i, :) = [y1, x1, y2, x2];
            cord(iter * scaleNum - scaleNum + i, :) = [x1, y1, x2, y2] - 1 ;
            crop_img = imresize(crop_img, [outputSize, outputSize], 'Antialiasing', false);
            tmpl(:,iter * scaleNum - scaleNum + i) = gather(crop_img(:));
        end
    end
end
